Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.instantiation
Class Delegation

    java.lang.Object
      org.jbpm.instantiation.Delegation

All Implemented Interfaces:
  java.io.Serializable, Parsable

    public class Delegation

extends java.lang.Object
implements Parsable, java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `className`
`protected java.lang.String` | `configType`
`protected java.lang.String` | `configuration`
`protected static java.util.Map` | `instantiatorCache`
`protected ProcessDefinition` | `processDefinition`

Constructor Summary
`Delegation()`
`Delegation(java.lang.Object instance)`
`Delegation(java.lang.String className)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getClassName()`
`java.lang.String` | `getConfigType()`
`java.lang.String` | `getConfiguration()`
`long` | `getId()`
`java.lang.Object` | `getInstance()`
`ProcessDefinition` | `getProcessDefinition()`
`java.lang.Object` | `instantiate()`
`void` | `read(org.dom4j.Element delegateElement, JpdlXmlReader jpdlReader)`
`void` | `setClassName(java.lang.String className)`
`void` | `setConfigType(java.lang.String instantiatorType)`
`void` | `setConfiguration(java.lang.String configuration)`
`void` | `setId(long id)`
`void` | `setProcessDefinition(ProcessDefinition processDefinition)`
`void` | `write(org.dom4j.Element element)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instantiatorCache

    protected static java.util.Map instantiatorCache

### className

    protected java.lang.String className

### configuration

    protected java.lang.String configuration

### configType

    protected java.lang.String configType

### processDefinition

    protected ProcessDefinition processDefinition

Constructor Detail

### Delegation

    public Delegation()

### Delegation

    public Delegation(java.lang.Object instance)

### Delegation

    public Delegation(java.lang.String className)

Method Detail

### read

    public void read(org.dom4j.Element delegateElement,
                     JpdlXmlReader jpdlReader)

  Specified by:
    `read` in interface `Parsable`

### write

    public void write(org.dom4j.Element element)

  Specified by:
    `write` in interface `Parsable`

### getInstance

    public java.lang.Object getInstance()

### instantiate

    public java.lang.Object instantiate()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### getClassName

    public java.lang.String getClassName()

### setClassName

    public void setClassName(java.lang.String className)

### getConfiguration

    public java.lang.String getConfiguration()

### setConfiguration

    public void setConfiguration(java.lang.String configuration)

### getConfigType

    public java.lang.String getConfigType()

### setConfigType

    public void setConfigType(java.lang.String instantiatorType)

### getId

    public long getId()

### setId

    public void setId(long id)

### getProcessDefinition

    public ProcessDefinition getProcessDefinition()

### setProcessDefinition

    public void setProcessDefinition(ProcessDefinition processDefinition)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD